%global shortname wikitools
Summary: Python package for interacting with a MediaWiki wiki
Name: python-%{shortname}
Version: 1.2
Release: 1%{?dist}
Url: https://github.com/alexz-enwp/%{shortname}
Source0: https://github.com/alexz-enwp/%{shortname}/archive/%{version}/%{shortname}-%{version}.tar.gz
License: GPLv3+
Group: Development/Libraries
BuildArch: noarch
BuildRequires: python2-devel
Requires: python

%description
A Python package for interacting with a MediaWiki wiki using the MediaWiki API.
Designed for MediaWiki version 1.16 and higher, should work on 1.13, older
versions may have bugs.
The edit-API must be enabled on the site to use editing features.
Please report any bugs to <http://code.google.com/p/python-wikitools/issues>

%prep
%setup -q -n %{shortname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --root=$RPM_BUILD_ROOT

%files
%doc %{shortname}/COPYING README CHANGELOG
%{python2_sitelib}/%{shortname}
%{python2_sitelib}/%{shortname}-%{version}-py2.*.egg-info

%changelog
* Wed Apr 30 2014 Honza Horak <hhorak@redhat.com> - 1.2-1
- Update to new upstream version 1.2

* Tue Apr 29 2014 Honza Horak <hhorak@redhat.com> - 1.1.1-4
- Own wikitools directory as well

* Mon Apr 14 2014 Honza Horak <hhorak@redhat.com> - 1.1.1-3
- Spec file changes based on the review

* Sat Mar 01 2014 Honza Horak <hhorak@redhat.com> - 1.1.1-2
- Re-packing upstream spec for Fedora


